routes/web.php
<?php

use App\Http\Controllers\ClientController;
use App\Http\Controllers\ExperimentController;
use App\Http\Controllers\PricedItemController;
use App\Http\Controllers\QuoteController;
use App\Http\Controllers\QuoteDocumentController;

use App\Http\Controllers\Settings\JobTypeListController;
use App\Http\Controllers\Settings\PasswordChangeController;
use App\Http\Controllers\Settings\StatusListController;
use App\Http\Controllers\Settings\UserDataController;

use App\Models\Client;
use App\Models\Quote;
use App\Models\User;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

/*
    USER
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('/dashboard', function () {
    return view('dashboard');
})->middleware(['auth'])->name('dashboard');
/*
    SETTINGS
*/
Route::get('/user/settings/user', [UserDataController::class, 'index'])->middleware(['auth'])->name('settings_user');
Route::patch('/user/settings/user', [UserDataController::class, 'update'])->middleware(['auth']);

Route::get('/user/settings/password', [PasswordChangeController::class, 'index'])->middleware(['auth'])->name('settings_password');
Route::patch('/user/settings/password', [PasswordChangeController::class, 'update'])->middleware(['auth']);

Route::get('/user/settings/categories', [JobTypeListController::class, 'index'])->middleware(['auth'])->name('settings_jobs');
Route::patch('/user/settings/categories', [JobTypeListController::class, 'update'])->middleware(['auth']);

Route::get('/user/settings/statuses', [StatusListController::class, 'index'])->middleware(['auth'])->name('settings_statuses');
Route::patch('/user/settings/statuses', [StatusListController::class, 'update'])->middleware(['auth']);

/*
    CLIENTS
*/
Route::get('/clients', [ClientController::class, 'index'])->middleware(['auth'])->name('clients');
Route::post('/clients', [ClientController::class, 'store'])->middleware(['auth']);
Route::get('/clients/create', [ClientController::class, 'create'])->middleware(['auth'])->name('clients.create');
Route::get('/clients/{client}', [ClientController::class, 'show'])->middleware(['can:view-client,client'])->name('clients.show')->where('client', '[0-9]+');
Route::patch('/clients/{client}', [ClientController::class, 'update'])->middleware(['can:edit-client,client'])->name('clients.update')->where('client', '[0-9]+');
Route::get('/clients/{client}/edit', [ClientController::class, 'edit'])->middleware(['can:edit-client,client'])->name('clients.edit')->where('client', '[0-9]+');
Route::delete('/clients/{client}', [ClientController::class, 'destroy'])->middleware(['can:edit-client,client'])->name('clients.destroy')->where('client', '[0-9]+');

/*
    QUOTES
*/

Route::get('/quotes', [QuoteController::class, 'index'])->middleware(['auth'])->name('quotes');
Route::post('/quotes', [QuoteController::class, 'store'])->middleware(['auth']);
Route::get('/quotes/create', [QuoteController::class, 'create'])->middleware(['auth']);
Route::get('/quotes/{quote}', [QuoteController::class, 'show'])->middleware(['can:view-quote,quote'])->name('quotes')->where('quote', '[0-9]+');
Route::get('/quotes/{quote}/pdf', [QuoteDocumentController::class, 'generatePdf'])->middleware(['can:view-quote,quote'])->name('quotes')->where('quote', '[0-9]+');
Route::patch('/quotes/{quote}', [QuoteController::class, 'update'])->middleware(['can:edit-quote,quote'])->name('quotes')->where('quote', '[0-9]+');
Route::get('/quotes/{quote}/edit', [QuoteController::class, 'edit'])->middleware(['can:edit-quote,quote'])->name('quotes')->where('quote', '[0-9]+');
Route::patch('/quotes/{quote}/calculate', [QuoteController::class, 'calculate'])->middleware(['can:edit-quote,quote'])->name('quotes')->where('quote', '[0-9]+');
Route::delete('/quotes/{quote}', [QuoteController::class, 'destroy'])->middleware(['can:edit-quote,quote'])->name('quotes')->where('quote', '[0-9]+');

/*
    PRICED ITEMS
*/
//TODO
Route::get('/priceditems', [PricedItemController::class, 'index'])->middleware(['auth'])->name('priceditems');
Route::post('/priceditems', [PricedItemController::class, 'store'])->middleware(['auth']);
Route::get('/priceditems/create', [PricedItemController::class, 'create'])->middleware(['auth']);
Route::get('/priceditems/{pricedItem}', [PricedItemController::class, 'show'])->middleware(['can:view-item,pricedItem'])->name('priceditems')->where('pricedItem', '[0-9]+');
Route::patch('/priceditems/{pricedItem}', [PricedItemController::class, 'update'])->middleware(['can:edit-item,pricedItem'])->name('priceditems')->where('pricedItem', '[0-9]+');
Route::get('/priceditems/{pricedItem}/edit', [PricedItemController::class, 'edit'])->middleware(['can:edit-item,pricedItem'])->name('priceditems')->where('pricedItem', '[0-9]+');
Route::delete('/priceditems/{pricedItem}', [PricedItemController::class, 'destroy'])->middleware(['can:edit-item,pricedItem'])->name('priceditems')->where('pricedItem', '[0-9]+');


require __DIR__ . '/auth.php';

app/Models/Quote.php
<?php

namespace App\Models;

use App\Models\Client;
use App\Models\JobType;
use Database\Factories\QuoteFactory;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Quote extends Model
{
    use HasFactory;

    protected $guarded = ['id'];
    protected $fillable = [
        'client_id',
        'user_id',
        'state_id',
        'name',
        'calculate',
        'notes'
    ];
    protected static function newFactory()
    {
        return QuoteFactory::new();
    }

    public function client()
    {
        return $this->belongsTo(Client::class);
    }

    public function state()
    {
        return $this->belongsTo(QuoteState::class);
    }

    public function pricedItems()
    {
        return $this->hasMany(QuoteElement::class);
    }

    public function getHoursSummaryAttribute()
    {
        $items = $this->pricedItems->map(function ($element) {
            return [
            'hours' => (int)$element->work_hours,
            'job' => $element->jobType->type,
            'job_id' => $element->jobType->id,
            ];
        })->toArray();

        $list = [];

        if ($this->calculate != null) {
            $calc = unserialize($this->calculate);

            foreach ($items as $index => $item) {
                $slug = str_slug($item['job'], '_');
                $list[$slug] = [
                    'job' => $item['job'],
                    'hours' => $item['hours'] + ($list[$slug]['hours'] ?? 0),
                ];
            }

            foreach ($list as $slug => $item) {
                foreach ($calc as $data) {
                    $job_type = JobType::find($data['job_id']);

                    if ($job_type) {
                        $dataSlug = str_slug($job_type->type, '_');

                        if (array_key_exists($dataSlug, $list)) {
                            $list[$dataSlug]['per_hour'] = $data['perhour'];
                            $list[$dataSlug]['negative'] = $data['negative'];
                            $list[$dataSlug]['positive'] = $data['positive'];
                        }
                    } else {
                        unset($list[$slug]);
                    }
                }
            }
        } else {
            foreach ($items as $index => $item) {
                $slug = str_slug($item['job'], '_');

                $list[$slug] = [
                    'job' => $item['job'],
                    'hours' => $item['hours'] + ($list[$slug]['hours'] ?? 0),
                    'per_hour' => 200,
                    'negative' => -10,
                    'positive' => 10,
                ];
            }
        }

        return $list;
    }

    public function getHoursAllAttribute()
    {
        return $this->pricedItems->map(function ($element) {
            return $element->work_hours;
        })->sum();
    }

    public function scopeSearch($query, array $filters)
    {
        if ($filters['search'] ?? false) {
            $query->orderBy('updated_at')->whereHas('client', function ($query) use ($filters) {
                $query->where('first_name', 'like', '%' . request('search') . '%')
                    ->orWhere('last_name', 'like', '%' . request('search') . '%')
                    ->orWhere('email', 'like', '%' . request('search') . '%')
                    ->orWhere('name', 'like', '%' . request('search') . '%')
                    ->orWhere('company', 'like', '%' . request('search') . '%')
                    ->orWhere('city', 'like', '%' . request('search') . '%');
            })->orWhere('name', 'like', '%' . request('search') . '%');
        }
    }
}

app/View/Components/AppLayout.php
<?php

namespace App\View\Components;

use Illuminate\View\Component;

class AppLayout extends Component
{
    /**
     * Get the view / contents that represents the component.
     *
     * @return \Illuminate\View\View
     */
    public function render()
    {
        return view('layouts.app');
    }
}

resources/views/quotes/create.blade.php
<x-app-layout>

  @include('partials.toast')

  <form method="POST" action="/quotes">
    @csrf
    <x-containers.outer title="Nowa wycena" buttonStyle="primary" buttonType="submit" buttonText="Dodaj wycenę">

      <x-containers.inner title="Dane wyceny">
        <x-inputs.text name="name" :value="old('name')" label="Tytuł" errorKey="name" required="true" />
        <x-inputs.select name="state_id" id="state_id" label="Status" errorKey="state_id" required="true">
          <option value="" {{ !old('state_id') ? 'selected' : '' }}>{{ __('Wybierz status') }}</option>
          @foreach ($states as $state)
            <option value="{{ $state->id }}" {{ old('state_id') == $state->id ? 'selected' : '' }}>
              {{ $state->state }}</option>
          @endforeach
        </x-inputs.select>
        <x-inputs.select name="client_id" id="client_id" label="Klient" errorKey="client_id" required="true">
          <option value="" {{ !old('client_id') ? 'selected' : '' }}>{{ __('Wybierz klienta') }}</option>
          @foreach ($clients as $client)
            <option value="{{ $client->id }}" {{ old('client_id') == $client->id ? 'selected' : '' }}>{{ $client->first_name }} {{ $client->last_name }}</option>
          @endforeach
        </x-inputs.select>
        <x-inputs.textarea name="notes" :value="old('notes')" class="col-span-2" label="Notatki" errorKey="notes" />
      </x-containers.inner>


      <x-containers.inner title="Elementy wyceny">
        <div class="mb-4 ml-auto -mt-8 cursor-pointer btn-primary add-new-item">Dodaj nowy
          <x-icons.add />
        </div>
        <ul class="max-h-[600px] min-h-[200px] h-full overflow-auto bg-white rounded-lg px-6 py-6  gap-4 flex flex-col quote-list mb-8">
        </ul>
      </x-containers.inner>
    </x-containers.outer>
  </form>
  <section class="container mx-auto sm:my-12 mb-[120px] mt-[32px]  border border-[#D5DAE1] rounded-xl px-12 py-8 relative">
    <h1 class="text-2xl font-semibold leading-tight text-[#6A7C96] mb-16">Wycenione elementy</h1>
    <x-containers.inner>
      <x-inputs.text inputClass="quote-search" labelClass="max-w-[450px] w-full ml-auto -mt-4 mb-4" placeholder="Szukaj..." />
      <ul class="max-h-[800px] overflow-auto bg-white rounded-lg px-6 py-6  gap-4 flex flex-col priced-list">
        @if ($priced_items->isNotEmpty())
          @foreach ($priced_items->reverse() as $item)
            @php
              $search_data = [
                  'title' => mb_strtolower(strip_tags($item->title)),
                  'content' => mb_strtolower(strip_tags($item->content)),
              ];
              $copy_data = [
                  'title' => $item->title,
                  'content' => $item->content,
                  'job_type_id' => $item->jobType->id,
                  'work_hours' => $item->work_hours,
              ];
            @endphp
            <li id="item_{{ $loop->index }}" class="priced-item-wrapper grid grid-cols-[auto_250px_75px] bg-gray-100 hover:border-blue border border-gray-100  rounded-lg gap-6 py-2 px-2 item transition-all" data-copy="{{ json_encode($copy_data) }}"
              data-search="{{ json_encode($search_data) }}">
              <div class="pl-4 item">
                <x-titles.text class="mt-4 mb-3">
                  {{ $item->title }}
                </x-titles.text>
                <div class="max-w-full p-4 mb-4 prose bg-white rounded-lg">
                  {!! $item->content !!}
                </div>
              </div>
              <div class="flex flex-col gap-4 my-5">
                <x-inputs.text label="Kategoria" :value="$item->jobType->type" disabled="true" />
                <x-inputs.text label="Godziny" :value="$item->work_hours" disabled="true" />

              </div>
              <div class="flex items-center justify-center w-full h-full transition-all bg-white rounded-lg shadow cursor-pointer add-to-quote hover:bg-blue hover:text-white" title="Dodaj do wyceny">
                <x-icons.add />
              </div>
            </li>
          @endforeach
        @endif
      </ul>
    </x-containers.inner>
  </section>

  <template id="item_template">
    <li class="grid grid-cols-[auto_250px_75px] bg-gray-100 hover:border-blue border border-gray-100  rounded-lg gap-6 py-2 px-2 item transition-all">
      <div class="flex flex-col gap-4 py-5 pl-4">
        <x-inputs.text inputClass="title" label="Tytuł" required="true" />
        <x-inputs.textarea inputClass="content" label="Opis" />
      </div>
      <div class="flex flex-col gap-4 my-5">
        <x-inputs.number inputClass="work-hours" label="Godziny" required="true" />
        <x-inputs.select inputClass="job-type-id" label="Kategoria" required="true">
          @if ($job_types)
            @foreach ($job_types as $jobtype)
              <option value="{{ $jobtype->id }}">{{ $jobtype->type }}</option>
            @endforeach
          @endif
        </x-inputs.select>
        <x-inputs.checkbox inputClass="add-to-priced" label="Dodaj do wycenionych" />
      </div>
      <div class="flex items-center justify-center w-full h-full transition-all bg-white rounded-lg shadow cursor-pointer remove-from-quote hover:bg-yellow hover:text-white" title="Usuń z wyceny">
        <x-icons.remove />
      </div>
    </li>
  </template>

</x-app-layout>

resources/views/quotes/edit.blade.php
<x-app-layout>
  @include('partials.toast')


  <form method="POST" action="/quotes/{{ $quote->id }}">
    @csrf
    @method('PATCH')
    <x-containers.outer title="{{ $quote->name }}" buttonStyle="primary" buttonType="submit" buttonText="Zapisz wycenę">


      <x-containers.inner title="Dane wyceny">
        <x-inputs.text name="name" :value="old('name', $quote->name)" label="Tytuł" errorKey="name" required="true" />
        <x-inputs.select name="state_id" id="state_id" label="Status" errorKey="state_id" required="true">
          @foreach ($states as $state)
            <option value="{{ $state->id }}" {{ old('state_id', $quote->state_id) == $state->id ? 'selected' : '' }}>
              {{ $state->state }}</option>
          @endforeach
        </x-inputs.select>
        <x-inputs.select name="client_id" id="client_id" label="Klient" errorKey="client_id" required="true">
          <option value="" {{ !old('client_id') ? 'selected' : '' }}>{{ __('Wybierz klienta') }}</option>
          @foreach ($clients as $client)
            <option value="{{ $client->id }}" {{ old('client_id', $quote->client_id) == $client->id ? 'selected' : '' }}>{{ $client->first_name }} {{ $client->last_name }}</option>
          @endforeach
        </x-inputs.select>
        <x-inputs.textarea name="notes" :value="old('notes', $quote->notes)" class="col-span-2" label="Notatki" errorKey="notes" />
      </x-containers.inner>

      <x-containers.inner title="Elementy wyceny">
        <div class="mb-4 ml-auto -mt-8 cursor-pointer btn-primary add-new-item">Dodaj nowy
          <x-icons.add />
        </div>
        <ul class="max-h-[600px] min-h-[200px] h-full overflow-auto bg-white rounded-lg px-6 py-6  gap-4 flex flex-col quote-list mb-8">
          @if ($selected->isNotEmpty())
            @foreach ($selected as $item)
              <li class="grid grid-cols-[auto_250px_75px] bg-gray-100   rounded-lg gap-6 py-2 px-2 item transition-all priced border border-yellow">
                <div class="flex flex-col gap-4 py-5 pl-4">
                  <x-inputs.text name="quote_items[{{ $loop->index }}][title]" inputClass="title" :value="$item->title" label="Tytuł" required="true" />
                  <x-inputs.textarea name="quote_items[{{ $loop->index }}][content]" inputClass="content" :value="$item->content" label="Opis" />
                </div>
                <div class="flex flex-col gap-4 my-5">
                  <x-inputs.number name="quote_items[{{ $loop->index }}][work_hours]" inputClass="work-hours" :value="$item->work_hours" label="Godziny" required="true" />
                  <x-inputs.select name="quote_items[{{ $loop->index }}][job_type_id]" inputClass="job-type-id" label="Kategoria" required="true">
                    @if ($job_types)
                      @foreach ($job_types as $jobtype)
                        <option value="{{ $jobtype->id }}">{{ $jobtype->type }}</option>
                      @endforeach
                    @endif
                  </x-inputs.select>
                  <x-inputs.checkbox name="quote_items[{{ $loop->index }}][add_to_priced]" inputClass="add-to-priced" label="Dodaj do wycenionych" />
                  <x-inputs.hidden name="quote_items[{{ $loop->index }}][item_id]" value="{{ $item->id }}" />
                  <x-inputs.checkbox labelClass="hidden" inputClass="to-be-removed" name="quote_items[{{ $loop->index }}][remove]" value="{{ $item->id }}" />

                </div>
                <div class="flex items-center justify-center w-full h-full transition-all bg-white rounded-lg shadow cursor-pointer remove-from-quote hover:bg-yellow hover:text-white" title="Usuń z wyceny">
                  <x-icons.remove />
                </div>
              </li>
            @endforeach
          @endif

        </ul>
      </x-containers.inner>

    </x-containers.outer>

  </form>

  <section class="container mx-auto sm:my-12 mb-[120px] mt-[32px]  border border-[#D5DAE1] rounded-xl px-12 py-8 relative">
    <h1 class="text-2xl font-semibold leading-tight text-[#6A7C96] mb-16">Wycenione elementy</h1>
    <x-containers.inner>
      <x-inputs.text inputClass="quote-search" labelClass="max-w-[450px] w-full ml-auto -mt-4 mb-4" placeholder="Szukaj..." />
      <ul class="max-h-[800px] overflow-auto bg-white rounded-lg px-6 py-6  gap-4 flex flex-col priced-list">
        @if ($priced_items->isNotEmpty())
          @foreach ($priced_items->reverse() as $item)
            @php
              $search_data = [
                  'title' => mb_strtolower(strip_tags($item->title)),
                  'content' => mb_strtolower(strip_tags($item->content)),
              ];
              $copy_data = [
                  'title' => $item->title,
                  'content' => $item->content,
                  'job_type_id' => $item->jobType->id,
                  'work_hours' => $item->work_hours,
              ];
            @endphp
            <li id="item_{{ $loop->index }}" class="priced-item-wrapper grid grid-cols-[auto_250px_75px] bg-gray-100 hover:border-blue border border-gray-100  rounded-lg gap-6 py-2 px-2 item transition-all" data-copy="{{ json_encode($copy_data) }}"
              data-search="{{ json_encode($search_data) }}">
              <div class="pl-4 item">
                <x-titles.text class="mt-4 mb-3">
                  {{ $item->title }}
                </x-titles.text>
                <div class="max-w-full p-4 mb-4 prose bg-white rounded-lg">
                  {!! $item->content !!}
                </div>
              </div>
              <div class="flex flex-col gap-4 my-5">
                <x-inputs.text label="Kategoria" :value="$item->jobType->type" disabled="true" />
                <x-inputs.text label="Godziny" :value="$item->work_hours" disabled="true" />

              </div>
              <div class="flex items-center justify-center w-full h-full transition-all bg-white rounded-lg shadow cursor-pointer add-to-quote hover:bg-blue hover:text-white" title="Dodaj do wyceny">
                <x-icons.add />
              </div>
            </li>
          @endforeach
        @endif
      </ul>
    </x-containers.inner>
  </section>

  <template id="item_template">
    <li class="grid grid-cols-[auto_250px_75px] bg-gray-100  border border-blue  rounded-lg gap-6 py-2 px-2 item transition-all">
      <div class="flex flex-col gap-4 py-5 pl-4">
        <x-inputs.text inputClass="title" label="Tytuł" required="true" />
        <x-inputs.textarea inputClass="content" label="Opis" />
      </div>
      <div class="flex flex-col gap-4 my-5">
        <x-inputs.number inputClass="work-hours" label="Godziny" required="true" />
        <x-inputs.select inputClass="job-type-id" label="Kategoria" required="true">
          @if ($job_types)
            @foreach ($job_types as $jobtype)
              <option value="{{ $jobtype->id }}">{{ $jobtype->type }}</option>
            @endforeach
          @endif
        </x-inputs.select>
        <x-inputs.checkbox inputClass="add-to-priced" label="Dodaj do wycenionych" />
      </div>
      <div class="flex items-center justify-center w-full h-full transition-all bg-white rounded-lg shadow cursor-pointer remove-from-quote hover:bg-yellow hover:text-white" title="Usuń z wyceny">
        <x-icons.remove />
      </div>
    </li>
  </template>
</x-app-layout>

resources/views/quotes/pdf.blade.php
<!DOCTYPE html>
<html>

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;700" rel="stylesheet" />
  <title>Bizman - wycena</title>
  <style>
    body {
      font-family: 'Montserrat';
    }

    @page {
      margin-top: 120px;
      margin-bottom: 80px;
    }

    header,
    footer {
      position: fixed;
      left: 0px;
      right: 0px;
    }

    header {
      height: 60px;
      margin-top: -90px;
      border-bottom: 1px rgb(209 213 219) solid;
    }

    footer {
      bottom: 0;
      height: 40px;
      margin-bottom: -60px;
      border-top: 1px rgb(209 213 219) solid;
    }

    .front-page {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
    }

    .page-break {
      page-break-after: always;
    }

    .generated {
      position: absolute;
      top: 0;
      right: 0;
    }

    .expiry {
      position: absolute;
      left: 0;
      bottom: 50px;
    }

    .single-item {
      page-break-inside: avoid;
      margin-bottom: 60px;
    }

    span {
      font-size: 14px;
      color: rgb(156 163 175);
    }

    .page-number:after {
      content: "Strona: "counter(page);
      position: absolute;
      top: 0;
      right: 0;
    }

    .title {
      font-family: 'Montserrat';
      font-size: 22px;
      font-weight: 700;
    }
  </style>
</head>

<body>
  <div class="front-page page-break">
    <?php
    $path = 'images/pdf-logo.jpg';
    $type = pathinfo($path, PATHINFO_EXTENSION);
    $data = file_get_contents($path);
    $base64 = 'data:image/' . $type . ';base64,' . base64_encode($data);
    ?>
    <img src="<?php echo $base64; ?>" width="578" height="165" />
    <p style="font-size:40px;">{{ $quote->name }}</p>
    <p style="font-size:20px;">Klient: {{ $client->first_name }} {{ $client->last_name }}</p>
  </div>

  <header>
    <?php
    $path = 'images/pdf-header.jpg';
    $type = pathinfo($path, PATHINFO_EXTENSION);
    $data = file_get_contents($path);
    $base64 = 'data:image/' . $type . ';base64,' . base64_encode($data);
    ?>
    <img src="<?php echo $base64; ?>" width="193" height="55" />
    <span class="generated">Wygenerowano: <?php echo date('Y-m-d'); ?></span>
  </header>

  <footer>
    <span>&copy; <?php echo date('Y'); ?> Bizman</span>
    <span class="page-number"></span>
    <span class="expiry">*Wycena ważna rok od daty wygenerowania.</span>
  </footer>

  <main>
    <ol>
      @foreach ($quote->pricedItems as $key => $item)
        <li>
          {!! $item->content !!}
        </li>
      @endforeach
    </ol>
    <div class="single-item">
      <h2 class="title">Podsumowanie</h2>
      <h4 class="small-title">Podział na rodzaj wykonywanych prac (godziny):</h4>
      @foreach ($quote->hours_summary as $slug => $item)
        @if ($item['hours'] != 0)
          <p>
            {{ trim($item['job']) }} - {{ $item['hours'] }}
          </p>
        @endif
      @endforeach
      <h4 class="small-title">Stawki:</h4>
      @foreach ($quote->hours_summary as $slug => $item)
        @if ($item['hours'] != 0)
          <p>
            {{ trim($item['job']) }} - {{ $item['per_hour'] }}&nbsp;zł
          </p>
        @endif
      @endforeach
      <h4 class="small-title">Koszt:</h4>

      @php
        $totalNegative = 0;
        $totalPositive = 0;

        foreach ($quote->hours_summary as $slug => $item) {
            $total = $item['hours'] * $item['per_hour'];
            $totalNegative += $total + $total * ($item['negative'] / 100);
            $totalPositive += $total + $total * ($item['positive'] / 100);
        }
        $fmt = numfmt_create('pl_PL', NumberFormatter::CURRENCY);

      @endphp
      @if ($totalNegative != $totalPositive)
        <p class="title">
          <small style="font-weight:400">Od</small> {{ numfmt_format_currency($fmt, $totalNegative, 'PLN') }} <small style="font-weight:400">do</small> {{ numfmt_format_currency($fmt, $totalPositive, 'PLN') }}
        </p>
      @else
        <p class="title">
          {{ numfmt_format_currency($fmt, $totalNegative, 'PLN') }}&nbsp;zł
        </p>
      @endif
    </div>
  </main>
</body>

</html>